/* NCRA, shilkumar meshram July 2025 */

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Saira:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css'); /* bootstrap web fonts */

body{ background-color: black; background-image: url("/images/body_bg.jpg"); background-attachment: fixed;}

.montserrat-slogan {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: normal;
  font-style: normal;
}

.saira-sectionHeading {
  font-family: "Saira", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;  
}

.header_bg{ min-height: 14rem; background-image: url("../images/header_bg.jpg");  background-repeat: no-repeat; background-position: center center; background-size: cover;}
.nav-bg{ /* background-color: #181818; */ background-color: #0065ad;  }

.navbar .navbar-nav .nav-link:hover {
    background-color: #f74d4d; 
  }  

.dropdown-menu li > a{color:#292929;}

#myCarousel{max-height: 479px; overflow: hidden;}
.carousel-caption h5{font-family: "Montserrat", sans-serif;}

.goog-te-banner-frame.skiptranslate {
    display: none !important;
    } 
body {top: 0px !important; }
    body > .skiptranslate {
    display: none;
}

.navbar .navbar-nav .nav-link {padding: 0.7em 0.9em;  font-size: 1rem; color: #fff;}
.navbar .navbar-nav .nav-link:hover {
  background-color: #f74d4d;
  color: #fff; 
}
.nav-link,
.nav-link:visited,
.nav-link:focus {
  color:#FFF;
  text-decoration: none;
}

.navbar .navbar-nav .nav-link.active{background-color: #f74d4d;}

.nav-item:first-child
{ border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}
.nav-item:last-child
{ border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

@media only screen and (min-width: 992px) {
  .navbar {
    padding: 0;
  }
  .navbar .navbar-nav .nav-link {padding: 0.7em 0.9em;  font-size: 1rem; color: #fff;}
   /*.navbar .navbar-brand {padding: 0 0.8em;} */
}

/*.nav-link {padding: 12px !important;} */
.navbar .navbar-nav .nav-link {
  transition: all 0.5s;
}

ul.dropdown-menu {
    background-color: #0065ad;
    color:#FFF;
    border-radius: 0; padding: 0;
    border: none; transition: all 0.5s;
    box-shadow: 3px 3px 4px #0C4A75;
}
ul.dropdown-menu a{transition: all 0.5s; color:#FFF; padding: 0.6rem; border-bottom: 1px solid #2674ab;}

ul.dropdown-menu a:hover{background-color: #f74d4d;}

  .dropdown-menu > li a:hover, .dropdown-menu > li.show{
        background: #f74d4d;
        color: white; transition: all 0.5s;}
.gs_heading{color:#0065ad;}       
.gs_photo{padding:5px 10px 10px 10px; box-shadow:2px 2px 3px #E4E1E1;}
.footer_top{background-color:#2b2f32;} 
.footer_top .nav-link{font-size: 0.9rem; color: #ffda89;}
.footer_top li > a{ padding: 0.7rem 1.2rem !important;}
.footer_top li > a:hover{color: #57beef;}

.footer{min-height:15rem;}
.footer_address{font-size: 0.9rem;}
.copyright-btm{ font-size: 0.7rem; background-color: #1a1a1a; color:#686868}

.cards_info{min-height: 25rem;
    background-color: #ffffff;
    border-radius: 4px;}

.card{
  /*width: 18rem; */
  padding: 0.6rem 0 0 0.6rem;
  margin: 2rem 0 2rem 0;

}
.card-title{color:#0065ad}
.list-group-item.custom{ color:#FFF; background-color: transparent; border-color:#01627B; border-style: dotted;}    
.imp_links a{color: #2a2a2a;
    text-decoration: none; transition: 0.4s ease;}
    .imp_links a:hover{ padding-left: .2rem; font-weight: 400; text-decoration: underline;}
.card-text{ line-height: normal; border-bottom: 1px dashed #CCC; color: #d9911e;}    
.card-text a{color: #d9911e; text-decoration: none;}
.card-text a:hover{color:#0065ad;}
.upevents li{padding:0.2rem 0 0.9rem 0;}
.card-p-items p{padding-bottom:1rem}

.card_height{height:22rem; overflow: auto;}
.card_heading{border-bottom: solid 1px #dfdddd;}
.telescope_pictures img{scale:0.9; transition: 0.4s ease;}
.telescope_pictures img:hover{box-shadow: 4px 4px 5px #666; scale: 1;}
.breadcrumb{font-size: 0.8rem;}
.breadcrumb a{ text-decoration: none; color: #01627B;}

.left-menu .list-group-item:hover {background-color:#C53845; color:#FFF; transition: all 0.4s; }
.left-menu .list-group-item-action{background-color: #0065ad; color:#FFF; border-bottom:1px solid #FFF;}

.left-menu > ul > li a.active{background-color:#DD3058; }
.left-menu > ul > li a{border:none;}

.left-menu > ul > li > a:after {
    content: "⟩";
    position: absolute;
    right: 10px;
    font-size: 18px;
    margin-top: -3px;
    color: #FFF;
}
/*.submenu-ul li > a:after {
    content: "⟩";
    position: relative;
    right: 10px;
    font-size: 18px;
    margin-top: -3px;
    color: #062e92;
} */
.submenu-ul{padding-left:0.4rem;}
.submenu-ul > li{color:#000;}
.submenu-ul > li > a{color:#FFF; border-bottom: 1px solid #e3e2e2 !important; background-color: #0065ad; text-decoration: none; }

.sub-pages-heading-bg{ background-color: aliceblue; padding: 0.7rem; border-radius: 5px;}

 .custom-toggler.navbar-toggler {
            border-color:#9dc4ff;
        }
.custom-toggler .navbar-toggler-icon {
            background-image:none;
            }        
.old_cardstyle{border-radius: unset; border-top-right-radius: 1rem; box-shadow: 7px 7px 9px #dadada;}
.firstThirdCard{background: linear-gradient(#f0f3f3, #e6e7e8);}
.secondFourthCard{background: #f9f9f4;}

  .goog-logo-link,.goog-te-gadget span {
        display:none !important;
      }
     .goog-te-gadget {
        font-size: 0px!important;
      }
#google_translate_element select {
    border: 1px solid #2087d1;
    border-radius: 2px;
    padding: 0.2rem;
    color: #FFF;
    font-size: 10pt;
    display: inline-block;
    cursor: pointer;
    background-color: #0065ad;
}      
.tifr_logo{width:80%;}
.acce_lnk{margin-top:2px;}
.acce_lnk a{color:#FFF;}
.acce_lnk a:hover{color: #0065ad;}

.lang_acc{min-height: 3rem;}

/* Carousal Captions position*/
.welcome_ncra{
    top: 40%;
    left: 3%;
    transform: translateY(-130%);
    bottom: initial;
    text-align: left;
}
.nearby_galaxy{top: 45%;
    transform: translateY(-235%);
    bottom: initial;
    }
.radio_xray{
    top: 105%;
    left: 3%;
    transform: translateY(-130%);
    bottom: initial;
    text-align: left;
} 
.engg_instruments{ top: 30%;
    left: 8%;
    transform: translateY(-130%);
    bottom: initial;
    text-align: left;
    width: 50%;
    }  
.student_programmes{top: 108%;
    left: 31%;
    transform: translateY(-130%);
    bottom: initial;
    text-align: left;
    background: rgb(74 74 74 / 58%);}     
.active_programme{
    top: 30%;
    left: 3%;
    bottom: initial;
    text-align: left;
}    
.we_radioImaging{ 
    top: 5%;
    left: 3%;
    bottom: initial;
    text-align: left;}

.naps_pagetabs li > .nav-link {color:#0065ad;}
.custom_pagetabs li > .nav-link {color:#0065ad;}
.yellowHeading{color: #e4a418;}

.roman-list {
  list-style-type:lower-roman;
}


div.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
}

div.gallery-item {
/* border: 1px solid #eaeaea;*/
  width: 180px;
  /*background-color: ghostwhite; transition: 0.3s; */
}

div.gallery-item:hover {
   #9e9e9e; box-shadow: 3px 3px 4px #CCC;
}

div.gallery-item img {
  width: 100%;
  height: auto;
}

div.gallery-item div.desc {
  padding: 5px;
  text-align: center; font-size: 0.8rem; color: #656565;
}



.modal-image {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

.modal-image:hover {
  opacity: 0.7;
}

/* The Modal (background) */
.modal {
  display: none;
  position: fixed;
  z-index: 1500;
  padding-top: 100px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(58, 58, 58, 0.9);
}

/* Modal Content (image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

/* Caption of Modal Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Animation */
.modal-content, #caption {
  animation: zoom 0.6s;
}

@keyframes zoom {
  from {transform: scale(0);}
  to {transform: scale(1);}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}


/* modal for anchor linked images*/

 /* Modal styles */
    #imageModal {
      display: none;
      position: fixed;
      z-index: 1500;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      overflow: auto;
      background-color: rgba(0, 0, 0, 0.8);
    }

    #imageModalContent {
      display: block;
      margin: 5% auto;
      max-width: 90%;
      max-height: 80%;
      box-shadow: 0 0 10px #000;
    }

    #closeModal {
      position: absolute;
      top: 20px;
      right: 35px;
      font-size: 30px;
      color: #ff0000;
      cursor: pointer; border: 1px solid;
  border-radius: 100px;
  width: 50px;
  height: 50px;
  text-align: center;
    }

.sections{
  padding: 0.8rem;
  border: 1px solid #F5F5F5;
  border-radius: 5px; margin-bottom: 0.5rem;}    

  .bg-off-white{background-color: #fbfbfb;}
  .bg-white{background-color: #FFF;}

  .red-button-hover:hover{
  background-color: #ff5858; /* Your desired hover background color */
  border-color: #dc3e3e; /* Your desired hover border color */
  color: #ffffff; /* Your desired hover text color */
  box-shadow:2px 2px 3px #CCC;
}

.academic_days_rows{border-bottom:1px dashed #CCC;}
.research .card{
  /*width: 18rem; */
  padding: 0;
  margin: 0;
  margin-top:2rem;
}
.maroon-title{color:#9c2121;}

.radial-hr {
        height: 1px; /* Adjust thickness as needed */
        border: none; /* Remove default hr border */
        background-image: radial-gradient(circle, #022b9c, #ffffff); /* Red to Yellow gradient */
    }


    /* Science highlights page style */
.fade-text {
    position: relative;
    max-height: 120px; /* Adjust this to match your truncated text height */
    overflow: hidden;
    transition: max-height 0.3s ease;
}

.fade-text::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50px; /* The height of the fade effect */
    background: linear-gradient(transparent, rgba(255, 255, 255, 1));
    pointer-events: none;
    transition: opacity 0.3s ease;
}

/* Hide the fade when the text is expanded */
.fade-text.expanded::after {
    opacity: 0;
}
.fade-text.expanded {
    max-height: none;
}    

.science-highlight {

  /* Create a Gradient Text Effect */
  background: linear-gradient(90deg, #083e78, #00d4ff, #007bff);
  background-size: 200% auto;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  
  /* Apply Animations */
  animation: shine 3s linear infinite, pulse 2s ease-in-out infinite;
}

/* Animation 1: Moving the Gradient */
@keyframes shine {
  to {
    background-position: 200% center;
  }
}

/* Animation 2: Soft Pulse */
@keyframes pulse {
  0%, 100% {
    transform: scale(1);
    filter: drop-shadow(0 0 0px rgba(0, 123, 255, 0));
  }
  50% {
    transform: scale(1.05);
    filter: drop-shadow(0 0 8px rgba(0, 123, 255, 0.5));
  }
}

/* pills in Jobs section Active jobs and Archived */
.custom-pills .nav-link {
  color: #0065ad;
}

.custom-pills .nav-link.active {
  background-color: #0065ad;
  color: #fff;
}